#!/usr/bin/perl -w

use Cwd;
use File::Spec;

use lib 'lib';
use Jellybean::Engine;
use Jellybean::Server::HTTP;
use Jellybean::Container::File;

my $engine = Jellybean::Engine->new();
my $server = Jellybean::Server::HTTP->new( LocalPort => 5000 );
my $files  = Jellybean::Container::File->new(
	basedir => File::Spec->catdir( cwd(), 'files' ));

$engine->add_server( $server );
$engine->add_action( 'default', $files );

while (1)
{
	foreach my $request ( $engine->listen() )
	{
		$engine->process_request( @$request )
	};
}
