package Jellybean::Container::File;

use strict;

use Cwd;
use File::Spec;
use File::MMagic;

sub new
{
	my ($class, %args)  = @_;
	$args{basedir}    ||= cwd();
	bless \%args, $class;
}

sub activate
{
	my ($self, $request, $response) = @_;
	
	my @path     = $request->path();
	my $filepath = File::Spec->catfile( $self->{basedir}, @path );
	my $mm       = File::MMagic->new();
	my $type     = $mm->checktype_filename( $filepath );
	my $size     = -s $filepath;

	$response->add_header( length => $size );
	$response->add_header( type   => $type );
	$response->body( do { local @ARGV = $filepath; local $/; <> } );
}

1;
