package Jellybean::Request;

use strict;
use Carp 'croak';

sub new
{
	my $class     = shift;
	my %args      = ( path => [], @_ );
	$args{conn} ||= $args{connection};

	croak "No connection" unless $args{conn};

	bless \%args, $class;
}

sub path
{
	my $self = shift;
	return @{ $self->{path} };
}

sub connection
{
	my $self = shift;
	return $self->{conn};
}

sub path_forward
{
	my $self = shift;
	push @{ $self->{path_back} }, shift @{ $self->{path} };
	return $self->{path_back}[-1];
}

sub path_back
{
	my $self = shift;
	return unless @{ $self->{path_back} };
	unshift @{ $self->{path} }, pop @{ $self->{path_back} };
}

1;
