#!/usr/bin/perl -w

BEGIN
{
	chdir 't' if -d 't';
	use lib '../lib', '../blib/lib';
}

use strict;
use Test::More tests => 14;

my $module = 'Jellybean::Response';
use_ok( $module ) or exit;

can_ok( $module, 'new' );
my $r = $module->new();
isa_ok( $r, $module );

can_ok( $r, 'add_header' );
$r->add_header( 'foo', 'bar' );
$r->add_header( 'baz' );

can_ok( $r, 'headers' );
my @headers = $r->headers();
ok( @headers,                       'headers() should return headers hash' );
my %headers = @headers;
is( $headers{foo}, 'bar',           '... associating values with names' );
is( $headers{baz}, '',              '... setting empty values appropriately' );

can_ok( $r, 'body' );
$r->body( 'this is the body' );
is( $r->body(), 'this is the body', 'body() should set the body' );
$r->body( 'a new body' );
is( $r->body(), 'a new body',       '... or replace it' );

can_ok( $r, 'connection' );
$r->connection( 'connection' );
is( $r->connection(), 'connection', 'connection() should set the connection' );
$r->connection( 'conn2' );
is( $r->connection(), 'conn2',      '... or replace it' );

# delete header?
# append to body?
